#############################################################################
# Gui UG Module by Krayy
#############################################################################
# Ver 1.0.1 - 05 March 2010 Initial release
#############################################################################

CatchEvent OnLapperStart()
	# CifRegisterModule("Group_Name", "Module Name", MODULE_VERSION);
	CifRegisterModule("Info", "Who", "1.01");
EndCatchEvent

CatchEvent OnMSO( $userName, $text ) # Player event
	$idxOfFirstSpace = indexOf( $text, " ");
	IF( $idxOfFirstSpace == -1 ) THEN
	  $command = $text;
	  $argv = "";
	ELSE
	  $command = subStr( $text,0,$idxOfFirstSpace );
	  $argv = trim( subStr( $text,$idxOfFirstSpace ) );
	ENDIF

	SWITCH( $command )
		CASE "!who":
			DoCifInfoWho(0,0);
   		BREAK;
	ENDSWITCH
EndCatchEvent

Sub DoCifInfoWho($KeyFlags,$id)
	# Set default values for the module - these MUST be the same as the main Do function name
	$cifGroupName="Info";
	$cifModuleName="Who";
	$DialogPrefix = "CIF" . $cifGroupName . $cifModuleName . "_";

	# Draw the CIF dialog box
	CifDraw($cifGroupName, $cifModuleName, "Who", "DoCifInfo");

	# Set various vars for GUI size and location
	$origT = $CifOrigT+1;			# Top edge of main content window
	$origL = $CifOrigL+1;	# Left edge of main content window
	$origR = $CifOrigL+50;

	# Left hand titles
	openPrivButton ($DialogPrefix . "luser",$origL,$origT,48,$CifRowHeight,1,-1,99,"Nickname");

	# Right hand titles
	openPrivButton ($DialogPrefix . "ruser",$origR,$origT,48,$CifRowHeight,1,-1,99,"Nickname");

	$mList = GetListOfPlayers("N");
	$mCount = arrayCount( $mList );
	$plyNum=0;
	WHILE ($plyNum < $mCount)
		$uName = $mList[$plyNum];
		$uUCID = GetPlayerVar($uName,"UCID");
		$uNick = GetPlayerVar($uName,"NickName");
		$Pref = $DialogPrefix . $uUCID . "_";

		$IsOdd = $plyNum & 1;
		IF ($IsOdd == 0)	# Check if we are on left or right side
		THEN
			$origT = $origT + $CifRowHeight;
			$origCol = $origL;
		ELSE
			$origCol=$origR;
		ENDIF
		openPrivButton ($Pref . "hUser",$origCol,$origT,34,$CifRowHeight,1,-1,96,"^7". $uNick);
		openPrivButton ($Pref . "info",$origCol+34,$origT,14,$CifRowHeight,1,-1,33,"^7Info",DoWhoMemberInfo);
		$plyNum=$plyNum+1;
	ENDWHILE
EndSub

Sub DoWhoMemberInfo ( $KeyFlags, $id )
	$rowHeight = 5;
	$origT = $CifOrigT + 1;
	privMsg("Id is " . $id);
	$DialogPrefix = split( $id,"_",0 ) . "_";
	$Ucid = ToNum(split( $id,"_",1 ));
	$uName = GetPlayerVarByUcid($Ucid, "UserName");
	$mType = GetUserStoredNum($uName,"MemberType");

	closeButtonRegex ($uName, $DialogPrefix . ".*");

	openPrivButton ( $DialogPrefix . "hInfo1",$CifOrigL+1,$origT,98,5,5,-1,32,langEngine( "%{info_header_1}%") );
	
	# Racer Name
	$origT = $origT + $CifRowHeight; $iType = "Name";
	openPrivButton ( $DialogPrefix . "h" . $iType,$CifOrigL,$origT,50,5,5,-1,ISB_RIGHT,langEngine( "%{info_name}%") );
	openPrivButton ( $DialogPrefix . "v" . $iType,$CifOrigL+50,$origT,50,5,5,-1,64,"^3" . GetPlayerVar($uName, "UserName") . "(^8" . GetPlayerVar($uName, "NickName") . "^3)");
	# Member Type
	$origT = $origT + $CifRowHeight; $iType = "Member";
	openPrivButton ( $DialogPrefix . "h" . $iType,$CifOrigL,$origT,50,5,5,-1,ISB_RIGHT,langEngine( "%{info_membertype}%") );
	openPrivButton ( $DialogPrefix . "v" . $iType,$CifOrigL+50,$origT,50,5,5,-1,64,"^3" . GetMemberType($uName) );

	$origT = $origT + ( $CifRowHeight * 2 );
	openPrivButton ( $DialogPrefix . "hInfo2",$CifOrigL+1,$origT,98,5,5,-1,32,langEngine( "%{info_header_2}%") );
	
	# Racer Stats
	$origT = $origT + $CifRowHeight; $iType = "Dist";
	openPrivButton ( $DialogPrefix . "h" . $iType,$CifOrigL,$origT,50,5,5,-1,ISB_RIGHT,langEngine( "%{info_distance}%") );
	openPrivButton ( $DialogPrefix . "v" . $iType,$CifOrigL+50,$origT,50,5,5,-1,64,"^3" . GetPlayerVar($uName, "UserName") . "(^8" . GetPlayerVar($uName, "NickName") . "^3)");

EndSub

Lang "EN" # Race Events messages
	info_header_1 = "^7Detailed Player Information";
	info_name = "^7Racer Name:";
	info_membertype = "^7Member Type:";
	info_header_2 = "^7Player Statistics";
	info_distance = "^7Total Distance:";
EndLang
